ListeningScheduledExecutorService
Date: 2016-05-24

com.google.common.util.concurrent

## Interface ListeningScheduledExecutorService

- All Superinterfaces:
    java.util.concurrent.Executor, java.util.concurrent.ExecutorService, ListeningExecutorService, java.util.concurrent.ScheduledExecutorService

      @Beta
      public interface ListeningScheduledExecutorService
      extends java.util.concurrent.ScheduledExecutorService, ListeningExecutorService

  A `ScheduledExecutorService` that returns `ListenableFuture` instances from its `ExecutorService` methods. To create an instance from an existing `ScheduledExecutorService`, call `MoreExecutors.listeningDecorator(ScheduledExecutorService)`.
  Since:
    10.0

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `<V> ListenableScheduledFuture<V>` | `schedule(java.util.concurrent.Callable<V> callable, long delay, java.util.concurrent.TimeUnit unit)`
    `ListenableScheduledFuture<?>` | `schedule(java.lang.Runnable command, long delay, java.util.concurrent.TimeUnit unit)`
    `ListenableScheduledFuture<?>` | `scheduleAtFixedRate(java.lang.Runnable command, long initialDelay, long period, java.util.concurrent.TimeUnit unit)`
    `ListenableScheduledFuture<?>` | `scheduleWithFixedDelay(java.lang.Runnable command, long initialDelay, long delay, java.util.concurrent.TimeUnit unit)`

    - ### Methods inherited from interface com.google.common.util.concurrent.ListeningExecutorService

      `invokeAll, invokeAll, submit, submit, submit`

    - ### Methods inherited from interface java.util.concurrent.ExecutorService

      `awaitTermination, invokeAny, invokeAny, isShutdown, isTerminated, shutdown, shutdownNow`

    - ### Methods inherited from interface java.util.concurrent.Executor

      `execute`

- - ### Method Detail

    - #### schedule

          ListenableScheduledFuture<?> schedule(java.lang.Runnable command,
                                              long delay,
                                              java.util.concurrent.TimeUnit unit)

      Specified by:
        `schedule` in interface `java.util.concurrent.ScheduledExecutorService`
      Since:
        15.0 (previously returned ScheduledFuture)

    - #### schedule

          <V> ListenableScheduledFuture<V> schedule(java.util.concurrent.Callable<V> callable,
                                                  long delay,
                                                  java.util.concurrent.TimeUnit unit)

      Specified by:
        `schedule` in interface `java.util.concurrent.ScheduledExecutorService`
      Since:
        15.0 (previously returned ScheduledFuture)

    - #### scheduleAtFixedRate

          ListenableScheduledFuture<?> scheduleAtFixedRate(java.lang.Runnable command,
                                                         long initialDelay,
                                                         long period,
                                                         java.util.concurrent.TimeUnit unit)

      Specified by:
        `scheduleAtFixedRate` in interface `java.util.concurrent.ScheduledExecutorService`
      Since:
        15.0 (previously returned ScheduledFuture)

    - #### scheduleWithFixedDelay

          ListenableScheduledFuture<?> scheduleWithFixedDelay(java.lang.Runnable command,
                                                            long initialDelay,
                                                            long delay,
                                                            java.util.concurrent.TimeUnit unit)

      Specified by:
        `scheduleWithFixedDelay` in interface `java.util.concurrent.ScheduledExecutorService`
      Since:
        15.0 (previously returned ScheduledFuture)